### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.scene.SceneNode

class `collada.scene.``SceneNode`

  Bases: `collada.common.DaeObject`

  Abstract base class for all nodes within a scene.

  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Methods

  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Iterate through all objects under this node that match tipo.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  `objects`(tipo, matrix=None)

    Iterate through all objects under this node that match tipo. The objects will be bound and transformed via the scene transformations.

    Parameters:

    - tipo (str) – A string for the desired object type. This can be one of ‘geometry’, ‘camera’, ‘light’, or ‘controller’.
    - matrix (numpy.matrix) – An optional transformation matrix

    Return type: | generator that yields the type specified

  static `load`(collada, localscope, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `save`()

    Put all the data to the internal xml node (xmlnode) so it can be serialized.

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »